nonno fabio

[Addon] .NET framework 1.1-2.0-3.0-3.5 GDR/QFE TRUE addons

120 posts in this topic

The addon should be placed in HFAAO folder.

Hello.

Hfslip wasn't integrate file. Maybe other file is needed in HFTOOLS or something?

I have installed xp on virtual PC (file integrated by nLite).

This addon isn't in add/remove programs.

Second question: if will be available new hotfix to net framework by windows update, that this addon will upgrade automaticly new hotfix or I have to do it manually?

Now i can't check becouse addon is fully updated.

Share this post


Link to post
Share on other sites

I have installed xp on virtual PC (file integrated by nLite).

This addon isn't in add/remove programs.

All .Nets can be unistalled from Windows Component Wizard:

catturaph.png

this addon will upgrade automaticly new hotfix

Yes

Ciao.

Edited by OnePiece

Share this post


Link to post
Share on other sites

Second question: if will be available new hotfix to net framework by windows update, that this addon will upgrade automaticly new hotfix or I have to do it manually?

Now i can't check becouse addon is fully updated.

Second answer ;) WU will update .net framework with new hotfixes in the same way, either you've integrated it in your source using this addon or you've installed it in running system using default installer.

Obviously, when new hotfixes will come out, an updated build of this addon will be released for your future integrations

Share this post


Link to post
Share on other sites

Hi nonno fabio, i find your work really awesome. Thanks for sharing it!

I have a question: Is your ".NET framework 1.1-2.0-3.0-3.5 TRUE addons" usable in a spanish XP as is? Or is there anything else necessary?

Thank you in advance, RMF

sobdo likes this

Share this post


Link to post
Share on other sites

Hi RMF,I used it in my xp spanish cd and its work fine.You can use it.There is no error.thanks

Share this post


Link to post
Share on other sites

Hi RMF,I used it in my xp spanish cd and its work fine.You can use it.There is no error.thanks

Thanks sobdo !

Share this post


Link to post
Share on other sites

Hi nonno fabio, i just have some questions regarding your addon. First, is it ok to integrate them all in my windows xp cd, i mean if there will be a problem if a integarate them all? Second, is it compatible to use XPSP3_QFE_UpdatePack for Windows XP Post-SP3 by user_hidden along with your .net frameworks or will there be a conflict... Sorry for a noob question cause i really don't know what is QFE and GDR? another thing, is the .net 1.1 english or italian cause of ITA in it's name? Thank you in advance...

Edited by mutedchild

Share this post


Link to post
Share on other sites

The addons are cumulative: you must integrate only the one you need. They includee all the publicly released hotfixes at the present date

Share this post


Link to post
Share on other sites

because even adding the net. framework it still appears in windows update. There's not a program but even in creating?

Share this post


Link to post
Share on other sites

Yesterday does not work from Spain or can be for me.Now its working good.tnks for the reply

Share this post


Link to post
Share on other sites

Wonderful work! Thank you very much!

I installed it today and found that 3 updates for .NET Framework 3.5 were missing.

- Microsoft .NET Framework 3.5 Service Pack 1 and .NET Framework 3.5 Family Update for .NET versions 2.0 through 3.5 (KB951847) x86

- Security Update for Microsoft .NET Framework 3.5 SP1 on Windows XP, Windows Server 2003, Windows Vista, Windows Server 2008 x86 (KB2416473)

- Update to .NET Framework 3.5 Service Pack 1 for the .NET Framework Assistant 1.0 x86 (KB963707)

Just thought you should know! Thanks!

Share this post


Link to post
Share on other sites

Thank you for pointing this out.

If you integrate 3.5 family .net addon (and nothing else) in a clean XP SP3 ENU source, WU/MU shouldn't claim for nothing.

In non-english XP WU/MU asks only for 3.5 Language Pack. It can be added alongside .net 3.5 true addon using a Svcpack addon.

KB963707 is requested only when Firefox is present in your running system.

Share this post


Link to post
Share on other sites

Thank you for pointing this out.

If you integrate 3.5 family .net addon (and nothing else) in a clean XP SP3 ENU source, WU/MU shouldn't claim for nothing.

In non-english XP WU/MU asks only for 3.5 Language Pack. It can be added alongside .net 3.5 true addon using a Svcpack addon.

KB963707 is requested only when Firefox is present in your running system.

Well, Firefox isn't installed on the system. Microsoft Update requested to install KB963707 anyway.... :confused02:

One question, though: If the add-on contains those fixes, shouldn't Microsoft Update be able to see them? I'm very much confused on this issue.... Not that it's a problem, mind you. It's a lot better than having to download a billion updates in order to get an up-to-date system! :rolleyes: I'll take 3 updates to a billion anyday....

Share this post


Link to post
Share on other sites

here is to make a correction, the KB963707 is already present in addons, To be an honest to and spent a lot of time from the creation of dotnet35 True AddOn, i forget that there inside the addon, however already testing here by me, I do not see any problem ???

test performed in Windows XP SP3 ENU (clean) with Last Update Pack (that includes just this last dotnet35 true addon) inside, installed later from the desktop Firefox 5.0

wcdotnettest1.png

wcdotnettest2.png

wcdotnettest3.png

firefox and it seems that during the installation tracking Microsoft.NET\Framework\v3.5\Windows Presentation Foundation\DotNetAssistantExtension\MicrosoftDotNetFrameworkAssistant.xpi, and automatically installs

wcdotnettest0.png

To be an 100% sure, that even non-ENU windows are OK, test performed in Windows XP SP3 ITA (clean) with Last Update Pack (that includes just this last dotnet35 true addon) inside, installed later from the desktop Firefox 5.0, Firefox 7 Beta, Firefox 8 BETA

wcdotnettest4.png

wcdotnettest5.png

here as in ENU, Firefox will automatically install the MicrosoftDotNetFrameworkAssistant.xpi

wcdotnettest6.png

sorry for my English, when enter online Nonno Fabio, explain everything better

Ciao a tutti.

Edited by OnePiece

Share this post


Link to post
Share on other sites

Whoops!!! Just discovered that .NET Framework 3.5 wasn't installed via add-on! :blush: I had 1.1, 2.0, 3.0 and 4.0 installed, but not 3.5.... Definitely explains why I was getting updates for it :doh: :doh: Stupid me....

Share this post


Link to post
Share on other sites

This because you've integrated 3.0 family true addon instead of 3.5 one? Or you've actually chosen 3.5 family true addon and something unknown has "broken" its integration? In this case simply retrying on an untouched source often fixes the problem.

Share this post


Link to post
Share on other sites

This because you've integrated 3.0 family true addon instead of 3.5 one? Or you've actually chosen 3.5 family true addon and something unknown has "broken" its integration? In this case simply retrying on an untouched source often fixes the problem.

Yeah, I integrated the 3.0 family true addon instead of 3.5....

Share this post


Link to post
Share on other sites

Please help me guys, I'm new at this.

Which "slipstreamer" should I use? nLite or RyanWM?

If I should use nLite, how to integrate? Like drivers, hotfixes, addons???

Which .NET pack should I download from the first post? To be more specific, which 3.5 version?

Those .NETs are with hotfixes?

Can you mark those links for me or put them in PM?

Oh, yeah! Same question is for .NET 4 as well in the another Topic.

And .NET 1.1 is in Italian language. Language is not important? I have Windows XP on english.

Please..........thanks in advance.

Btw, I'm using Windows XP PRO SP3.

Edited by Killjoy

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now